Package org.eclipse.mat.report.internal

## Class LinkedPart

- java.lang.Object
- - org.eclipse.mat.report.internal.AbstractPart
  - - org.eclipse.mat.report.internal.LinkedPart

    public class LinkedPart
    extends AbstractPart

### Constructor Summary

Constructors
`LinkedPart​(java.lang.String id, AbstractPart parent, DataFile artefact, Spec spec, AbstractPart linkedTo)`

### Method Summary

All Methods Instance Methods Concrete Methods
`AbstractPart` `execute​(IQueryContext context, ResultRenderer renderer, IProgressListener listener)`

### Methods inherited from class org.eclipse.mat.report.internal.AbstractPart

`getChildren, getCommand, getId, getObject, getParent, getStatus, params, putObject, spec`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LinkedPart

    public LinkedPart​(java.lang.String id,
                      AbstractPart parent,
                      DataFile artefact,
                      Spec spec,
                      AbstractPart linkedTo)

### Method Detail

#### execute

    public AbstractPart execute​(IQueryContext context,
                                ResultRenderer renderer,
                                IProgressListener listener)
                         throws SnapshotException,
                                java.io.IOException

Specified by:
  `execute` in class `AbstractPart`
Throws:
  `SnapshotException`
  `java.io.IOException`